Package org.eclipse.emf.cdo.lm.util

# Class CoreDeliveryMerger

java.lang.Object
org.eclipse.emf.cdo.lm.util.CoreDeliveryMerger

All Implemented Interfaces:
  `LMMerger`

public class CoreDeliveryMerger extends Object implements LMMerger
An `LM merger` based on a `core merger`.

Since:
  1.3
Author:
  Eike Stepper

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.lm.util.LMMerger

`CORE`

## Constructor Summary

Constructors
Constructor
Description
`CoreDeliveryMerger()`

## Method Summary

Modifier and Type
Method
Description
`protected CDOMerger`
`createMerger()`
`long`
`mergeDelivery(CDOSession session, CDOBranchPoint sourceBranchPoint, CDOBranch targetBranch)`
Merges the changes from the given source branch point into the given target branch and returns the time stamp of the resulting commit into the merge target branch, or `CDOBranchPoint.INVALID_DATE` if no commit has happened.
`protected CDOTransaction`
`openTransaction(CDOSession session, CDOBranch branch)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CoreDeliveryMerger

public CoreDeliveryMerger()

## Method Details

### mergeDelivery

public long mergeDelivery(CDOSession session, CDOBranchPoint sourceBranchPoint, CDOBranch targetBranch)
Description copied from interface: `LMMerger`
Merges the changes from the given source branch point into the given target branch and returns the time stamp of the resulting commit into the merge target branch, or `CDOBranchPoint.INVALID_DATE` if no commit has happened.

Specified by:
  `mergeDelivery` in interface `LMMerger`

### openTransaction

protected CDOTransaction openTransaction(CDOSession session, CDOBranch branch)

### createMerger

protected CDOMerger createMerger()